<?php
/**
 * Joomla! 1.5 component Cu3er
 *
 * @version $Id: import.php 2011-04-12 05:17:53 svn $
 * @author MADEBYPLAY
 * @package Joomla
 * @subpackage Cu3er
 * @license GNU/GPL
 *
 * Cu3er component for Joomla 1.5
 *
 * This component file was created using the Joomla Component Creator by Not Web Design
 * http://www.notwebdesign.com/joomla_component_creator/
 *
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.controller');

class Cu3erControllerXMLUpdate extends JController {

	function display() {
		JRequest::setVar('view', 'xmlupdate');
		parent::display();
	}

	function upload() {
		JRequest::checkToken() or jexit('Invalid Token');
		$model = & $this->getModel('xmlupdate');
		$model->upload();
	}

	function save() {
		JRequest::checkToken() or jexit('Invalid Token');

		require_once JPATH_COMPONENT.DS.'lib'.DS.'cu3erxml.class.php';			
		
		// getting import model
		$model = & $this->getModel('xmlupdate');

		// getting the path and the filename of the CU3ER config XML file
		$config_xml_file = $model->updateXMLFile();

		// instantiating the Cu3erXML class		
		$cxml = new Cu3erXML(JRequest::getInt('cid'));
		
		// loading and processing CU3ER config XML file to an array
		$cxml->loadXMLFile($config_xml_file, true);
		
		// processing array and generating SQL queries inserting data to DB		
		$model->XMLArray2DB($cxml);
	}

	function cancel() {
		$mainframe = &JFactory::getApplication();

		require_once JPATH_COMPONENT.DS.'lib'.DS.'cu3erfile.class.php';
		// cleaning up the temporarly uploaded (and extracted) cu3er files		
		Cu3erFile::deleteAll(JPATH_COMPONENT.DS.'upload'.DS, true);
		// redirecting page to the slideshows list
		$mainframe->redirect('index.php?option=com_cu3er&view=slideshow&cid='.JRequest::getInt('cid'));
	}

}
