<?php
/**
 * Joomla! 1.5 component Cu3er
 *
 * @version $Id: view.html.php 2011-04-12 05:17:53 svn $
 * @author MADEBYPLAY
 * @package Joomla
 * @subpackage Cu3er
 * @license GNU/GPL
 *
 * Cu3er component for Joomla 1.5
 *
 * This component file was created using the Joomla Component Creator by Not Web Design
 * http://www.notwebdesign.com/joomla_component_creator/
 *
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

// Import Joomla! libraries
jimport( 'joomla.application.component.view');
class Cu3erViewImageManager extends JView {

	function display($tpl = null) {
		
		$app = JFactory::getApplication();
		$doc = & JFactory::getDocument();
		$cid = JRequest::getInt('cid');	

		$config =& JComponentHelper::getParams('com_media');	

		$append = '';
		if($app->getClientId() == 1) $append = 'administrator/';

		$model = &$this->getModel('slideshow');
		$slideshow_name = $model->getData($cid, 'name');
		$img_folder = $config->get('image_path', 'images/stories');

		// adding js and css files to the html header		
		JHTML::_('script'    , 'popup-imagemanager.js', $append .'components/com_media/assets/');
		JHTML::_('stylesheet', 'popup-imagemanager.css', $append .'components/com_media/assets/');

		$js_str = "var image_base_path = '{$img_folder}/';";

		// adding js code to the html header				
		$doc->addScriptDeclaration($js_str);

		$img_folder .= DS . 'CU3ER' . DS . $cid;

		// assigning variables to the template (tmpl/default.php)
		$this->assignRef('session', JFactory::getSession());
		$this->assignRef('img_folder', $img_folder);
		$this->assignRef('slideshow_name', $slideshow_name);
		$this->assignRef('cid', $cid);

		parent::display($tpl);
	}

}
?>