<?php
/**
 * Joomla! 1.5 component Cu3er
 *
 * @version $Id: view.html.php 2011-04-12 05:17:53 svn $
 * @author MADEBYPLAY
 * @package Joomla
 * @subpackage Cu3er
 * @license GNU/GPL
 *
 * Cu3er component for Joomla 1.5
 *
 * This component file was created using the Joomla Component Creator by Not Web Design
 * http://www.notwebdesign.com/joomla_component_creator/
 *
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

// Import Joomla! libraries
jimport( 'joomla.application.component.view');

class Cu3erViewSlideshows extends JView {
    
	function display($tpl = null) {
		$mainframe = &JFactory::getApplication();
		$user = & JFactory::getUser();
		$option = JRequest::getCmd('option');
		$view = JRequest::getCmd('view');
		$limit = $mainframe->getUserStateFromRequest('global.list.limit', 'limit', $mainframe->getCfg('list_limit'), 'int');
		$limitstart = $mainframe->getUserStateFromRequest($option.$view.'.limitstart', 'limitstart', 0, 'int');
		$filter_order = $mainframe->getUserStateFromRequest($option.$view.'filter_order', 'filter_order', 'id', 'cmd');
		$filter_order_Dir = $mainframe->getUserStateFromRequest($option.$view.'filter_order_Dir', 'filter_order_Dir', '', 'word');

		JHTML::_( 'behavior.modal' );
		$model = & $this->getModel();

		$setup_model = &$this->getModel('setup');

		require_once(JPATH_COMPONENT.DS.'helpers'.DS.'cu3er_files.php');

		// getting filedatas
		$filedata = $setup_model->getFileData($remote_url, $files);

		$slideshows = $model->getData();

		$total = $model->getTotal();
		$a = 0;
		foreach($slideshows as $slideshow) {
			$slideshows[$a]->fallback = ($model->hasJavaScript($slideshow->images_folder)) ? true : false;
			$a++;
		}
		$this->assignRef('rows', $slideshows);
		$this->assignRef('total', $total);

		$lists = array();

		$lists['order_Dir'] = $filter_order_Dir;
		$lists['order'] = $filter_order;

		$this->assignRef('lists', $lists);
		$this->assignRef('filedata', $filedata);
		$this->assignRef('remote_url', $remote_url);

		jimport('joomla.html.pagination');
		$pageNav = new JPagination($total, $limitstart, $limit);
		$this->assignRef('page', $pageNav);

		JToolBarHelper::title('CU3ER :: ' . JText::_('Slideshows'), 'generic.png');
		JToolBarHelper::addNew();
		//JToolBarHelper::editList();
		JToolBarHelper::publishList();
		JToolBarHelper::unpublishList();
		JToolBarHelper::custom('duplicate', 'copy.png','copy_f2.png', JText::_('Duplicate'), false);
		JToolBarHelper::deleteList(JText::_('Are you sure you want to delete selected slideshows?'), 'remove', JText::_('Delete'));
		parent::display($tpl);
		
	}
}
?>